Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

[1.7.2] Error when trying to make a machine


kulalolk
 Share

Recommended Posts

Hello, I'm trying to make a machine, kinda like a furnace for my mod. I've been working on this for a while and it's not going very well. Any help is appreciated!

 

This is the error I'm having

 

        public EndericInfuser(InventoryPlayer inventory,

TileEntityEndericInfuser tile_entity) {

}

//"Implicit super constructor BlockContainer() is undefined. Must explicitly invoke another constructor

 

BlockClass: http://puu.sh/bhPMv/874b176234.txt

 

GuiHandlerClass: http://puu.sh/bhPTL/a990f4833f.txt

 

 

Link to comment
Share on other sites

Um... learn Java...

-Mitchellbrine

 

Minecraft can do ANYTHING, it's coded in Java and you got the full power of Java behind you when you code. So nothing is impossible.

It may be freaking fucking hard though, but still possible ;)

 

If you create a topic on Modder Support, live by this motto:

I don't want your charity, I want your information
Link to comment
Share on other sites

My guess is that it's your GUIs constructor

 

public GuiMagicBase(TileEntityMagicBase tileEntity, EntityPlayer player)

{

super(new ContainerNull());

 

now ContainerNull() is my own container that I use for a placeholder because Idk how to null that field correctly so made my own empty container to use for GUIs that don't need an inventory.

Link to comment
Share on other sites

My guess is that it's your GUIs constructor

 

public GuiMagicBase(TileEntityMagicBase tileEntity, EntityPlayer player)

{

super(new ContainerNull());

 

now ContainerNull() is my own container that I use for a placeholder because Idk how to null that field correctly so made my own empty container to use for GUIs that don't need an inventory.

If you have a a GUI that doesn't have a inventory, return null in the getServerGuiElement method and call the openGui method client side.

Don't PM me with questions. They will be ignored! Make a thread on the appropriate board for support.

 

1.12 -> 1.13 primer by williewillus.

 

1.7.10 and older versions of Minecraft are no longer supported due to it's age! Update to the latest version for support.

 

http://www.howoldisminecraft1710.today/

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share



×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.